• Precios
  • Blog
Iniciar sesiónAgendá una demo
Create market POSTDelete market DELETEGet market GETList markets GETUpdate market PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Create market

Create a reusable market without attaching it to a plan or price. Countries can belong to only one active market.

POST
/markets

Create a reusable market without attaching it to a plan or price. Countries can belong to only one active market.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/markets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "countryCodes": [      "st"    ]  }'
{  "id": "string",  "name": "string",  "countryCodes": [    "string"  ],  "metadata": {    "property1": null,    "property2": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "object": "market",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Update invoice status PATCH

Mark an outstanding invoice as "paid" or "void" and return the updated invoice. Cannot change the status of already paid or voided invoices.

Delete market DELETE

Delete an unused market. Markets referenced by prices or subscriptions cannot be deleted.

name*string
Length1 <= length
countryCodes*array<>
Items1 <= items
metadata?